#
# spec file for package bluez-bluefw (Version 1.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kernel-source
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext kernel-source libtool perl rpm

Name:         bluez-bluefw
URL:          http://bluez.sourceforge.net
Version:      1.0
Release:      62
Summary:      Bluetooth(TM) Firmware Loader
License:      GPL, Other License(s), see package
Group:        Hardware/Mobile
Autoreqprov:  on
Source:       http://bluez.sourceforge.net/%{name}-%{version}.tar.bz2
Source1:      bfusb.tar.bz2
Patch1:       bluefw_firmware.agent.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Bluetooth(TM) Firmware loader. Package contains programms, scripts
   and firmware images for some Bluetooth(TM) adapters. Currently
   supported are: * Broadcom Corporation BCM2033

* AVM Computersysteme Vertriebs GmbH BLUEFRITZ! USB

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.



Authors:
--------
    Max Krasnyansky <maxk@qualcomm.com>
    Marcel Holtmann <marcel@holtmann.org>

%prep
%setup -b 1
%{?suse_update_config:%{suse_update_config -f . }}
autoreconf -f
cd ../bfusb
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
install -D -m 644 ../bfusb/bfubase.frm $RPM_BUILD_ROOT/usr/lib/hotplug/firmware/bfubase.frm
install -D -m 755 ../bfusb/firmware.agent $RPM_BUILD_ROOT/etc/hotplug/firmware.agent

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir /etc/bluetooth
%dir /etc/bluetooth/firmware
%dir /etc/hotplug/usb
%dir /usr/lib/hotplug
%dir /usr/lib/hotplug/firmware
/etc/hotplug/usb/*
/etc/hotplug/firmware.agent
/etc/bluetooth/firmware/*
/usr/lib/hotplug/firmware/*
/sbin/bluefw
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog -n bluez-bluefw
* Wed Oct 01 2003 - kkeil@suse.de
- the hotplug.functions need bash not sh (#31940)
* Tue Aug 12 2003 - kkeil@suse.de
- first version
